<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["confirmar"] == true) {
function formata($texto) {
	$msg1 = stripslashes($texto);
	$msg2 = html_entity_decode($msg1);
	$mensagem = nl2br($msg2);
	return $mensagem;
}
$login = $_GET["cpagamento_login"];
$personagem = $_GET["cpagamento_personagem"];
$produto = $_GET["cpagamento_produto"];
$banco = $_GET["cpagamento_banco"];
$data = $_GET["cpagamento_data"];
$hora = $_GET["cpagamento_hora"];
$valor = $_GET["cpagamento_valor"];
$mensagem = $_GET["cpagamento_mensagem"];
if($produto == "" || $banco == "" || empty($data) || empty($hora) || empty($valor) || empty($mensagem)) {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
else{
	mssql_query("insert into ct_pagamentos (login,personagem,produto,banco,data,hora,valor,mensagem) values ('".$_SESSION["login"]."','".$personagem."','".formata($produto)."','".formata($banco)."','$data','$hora','$valor','".formata($mensagem)."')");
	exit($bbcode->bbcode('<div class="box_conteudo">Pagamento confirmado com sucesso, aguarde até que o administrador verifique</div>'));
}
}
if($_GET["ver"] == true) {
$id = $_GET["id"];
$dados = mssql_fetch_row(mssql_query("select personagem,mensagem,login,banco,produto,data,hora,valor,status from ct_pagamentos where id='".$id."'"));
$foto = mssql_fetch_row(mssql_query("select imagem from character where name='".$dados[0]."'"));
$cargo = mssql_fetch_row(mssql_query("select cargo from ct_equipe where login='".$_SESSION["login"]."'"));
if($cargo[0] > 1) {
	$op = '<a href="javascript: void(0);" onclick="loading(\'?go=pagamento&rejeitar=true&id='.$id.'\' ,\'resultado\');">Rejeitar pagamento</a> | <a href="javascript: void(0);" onclick="loading(\'?go=pagamento&confirmado=true&id='.$id.'\' ,\'resultado\');">Confirmar pagamento</a>';
}
echo '
<div class="about-team-page-top-wrap" style="padding-bottom: 0px; margin-top: -5px;">
    <div class="top-title" style="width: 100%;">
        <h2 style="color: #fff; font-size: 30px; margin-left: 30px; border-color: darkgray;">VER CONFIRMACOES.</h2>
    </div>
</div>
<div class="match-list-wrap">
<br />
<br />
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="20%" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top"><div align="center"><img src="images/personagens/'.$foto[0].'" width="120" height="140" /></div></td>
      </tr>
    </table></td>
    <td width="80%" valign="top"><table width="100%" border="0" cellspacing="2" cellpadding="2">
      <tr>
        <td style="color: #FFF"><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td style="padding-left: 10px;">Confirmado por <strong>'.$dados[0].'</strong></td>
    <td align="right"><a href="javascript: void(0);" onclick="loading(\'?go=pagamento&deletar=true&id='.$id.'\' ,\'resultado\');">Deletar pagamento</a> | '.$op.'</td>
  </tr>
</table>
</td>
      </tr>
      <tr>
        <td style="color: #FFF">Login: <strong>'.$dados[2].'<strong></td>
      </tr>
      <tr>
        <td style="color: #FFF">Banco: <strong>'.$dados[3].'<strong></td>
      </tr>
      <tr>
        <td style="color: #FFF">Produto: <strong>'.$dados[4].'<strong></td>
      </tr>
      <tr>
        <td style="color: #FFF">Data: <strong>'.$dados[5].'<strong></td>
      </tr>
      <tr>
        <td style="color: #FFF">Hora: <strong>'.$dados[6].'<strong></td>
      </tr>
      <tr>
        <td style="color: #FFF">Valor: <strong>'.$dados[7].'<strong></td>
      </tr>
      <tr>
        <td style="color: #FFF">Mensagem: <strong>'.$dados[1].'<strong></td>
      </tr>
    </table></td>
  </tr>
</table><br>
<br>

</div>';
if($dados[8] == 0) {
	echo '<div class="box_conteudo" align="right" style="color:#FFF"><label><input type="submit" name="comentar" id="comentar" onclick="loading(\'?go=pagamento&comentar=true&id='.$id.'\', \'resultado\');" value="Comentar" /></label></div>';
}
else{
	echo $bbcode->bbcode('<div class="box_conteudo" align="right" style="color:red">Não é possivel comentar</div>');
}
echo '<div id="resultado"></div>';
$coments = mssql_query("select personagem,comentario from CT_PAGAMENTOS_COMENTARIOS where pagamentoid='".$id."'");
for($i=0;$i<mssql_num_rows($coments);$i++) {
$pega_coments = mssql_fetch_row($coments);
$imagem = mssql_fetch_row(mssql_query("select imagem from character where name='".$pega_coments[0]."'"));
echo '
<div class="about-team-page-top-wrap" style="padding-bottom: 0px; margin-top: -5px;">
    <div class="top-title" style="width: 100%;">
        <h2 style="color: #fff; font-size: 30px; margin-left: 30px; border-color: darkgray;">COMENTARIOS.</h2>
    </div>
</div>
<div class="match-list-wrap">
<br />
<br />
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="20%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top"><div align="center"><img src="images/personagens/'.$imagem[0].'" width="120" height="140" /></div></td>
      </tr>
    </table></td>
    <td width="80%" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td style="color: #FFF"><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td style="padding-left: 10px; color:#FFF;">Respondido por: <strong>'.$pega_coments[0].'</strong></td>
  </tr>
</table>
</td>
      </tr>
      <tr>
        <td style="color: #FFF">'.$pega_coments[1].'</td>
      </tr>
    </table></td>
  </tr>
</table><br>
<br>

</div>';
}
}
if($_GET["comentar"] == true) {
$id = $_GET["id"];
echo $bbcode->bbcode('<div class="about-team-page-top-wrap" style="padding-bottom: 0px; margin-top: -5px;">
    <div class="top-title" style="width: 100%;">
        <h2 style="color: #fff; font-size: 30px; margin-left: 30px; border-color: darkgray;">COMENTAR PAGAMENTO.</h2>
    </div>
</div>
<div class="match-list-wrap" style="color: #FFF">
<br />
<br />
   Personagem: <select name="char" id="char">');
   $perso = mssql_query("select name from character where accountid='".$_SESSION["login"]."'");
   for($i=0;$i<mssql_num_rows($perso);$i++) {
   	$pega = mssql_fetch_row($perso); 
	echo $bbcode->bbcode('<option value="'.$pega[0].'">'.$pega[0].'</option>');
}
   echo $bbcode->bbcode('</select>
   <br>
  <label><textarea name="comentario" id="comentario" cols="45" rows="5" style="position:relative; left:25px;"></textarea>
    <br>
  </label><label><input type="submit" name="comentar" id="comentar" onclick="loading(\'?go=pagamento&inserir=true&id='.$id.'\'+\'&char=\'+document.getElementById(\'char\').value+\'&comentario=\'+document.getElementById(\'comentario\').value, \'resultado\');" value="Comentar" style="position:relative; left:25px;"/></label><br>
<br>

</div>');
}
if($_GET["inserir"] == true) {
function formata($texto) {
	$msg1 = stripslashes($texto);
	$msg2 = html_entity_decode($msg1);
	$mensagem = nl2br($msg2);
	return $mensagem;
}
$id = $_GET["id"];
$char = $_GET["char"];
$comentario = $_GET["comentario"];
if($char == "" || empty($comentario)) {
	echo $bbcode->bbcode('<div class="box_conteudo" style="color:#fff">Preencha todos os campos</div>');
}
else{
	mssql_query("insert into CT_PAGAMENTOS_COMENTARIOS (personagem,comentario,pagamentoid) values ('$char','".formata($comentario)."','$id')");
	echo $bbcode->bbcode('<div class="box_conteudo" style="color:#fff">Pagamento comentado com sucesso</div>');
}
}
if($_GET["deletar"] == true) {
$id = $_GET["id"];
mssql_query("delete from ct_pagamentos where id='".$id."'");
mssql_query("delete from ct_pagamentos_comentarios where pagamentoid='".$id."'");
echo $bbcode->bbcode('<div class="box_conteudo" style="color:red">Pagamento deletado com sucesso</div>');
}
if($_GET["rejeitar"] == true) {
$id = $_GET["id"];
mssql_query("update ct_pagamentos set status='1' where id='".$id."'");
echo $bbcode->bbcode('<div class="box_conteudo" style="color:red">Pagamento rejeitado com sucesso</div>');
}
if($_GET["confirmado"] == true) {
$id = $_GET["id"];
mssql_query("update ct_pagamentos set status='2' where id='".$id."'");
echo $bbcode->bbcode('<div class="box_conteudo" style="color:#6C0">Pagamento confirmado com sucesso</div>');
}
?>